Email Calendar
Read accessible interaction relationships
Requires manual_interactions and current interaction/record authority. Body visibility can restrict read/edit/delete even when timeline metadata is visible. Shared visibility requires a valid organization shared_group_id. Event invitation participants and related tasks require access and current version boundaries. Returns the visible event, donor participants and related task summaries.
GET
/
interactions
/
manual
/
{activity_id}
/
relationships
Read accessible interaction relationships
curl --request GET \
--url https://api.gratona.com/v1/interactions/manual/{activity_id}/relationships \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/interactions/manual/{activity_id}/relationships"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/interactions/manual/{activity_id}/relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/interactions/manual/{activity_id}/relationships",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/interactions/manual/{activity_id}/relationships"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/interactions/manual/{activity_id}/relationships")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/interactions/manual/{activity_id}/relationships")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"event": {
"id": 123,
"name": "<string>",
"status": "<string>",
"starts_at": "2023-11-07T05:31:56Z"
},
"participants": [
{
"id": 123,
"name": "<string>",
"email": "<string>",
"role": "<string>",
"event_invitee_id": 123,
"invitation_action": "<string>",
"invitation_method": "<string>",
"invitation_response_outcome": "<string>"
}
],
"related_tasks": [
{
"id": 123,
"title": "<string>",
"status": "<string>",
"due_date": "2023-12-25",
"version": 123
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}⌘I
Read accessible interaction relationships
curl --request GET \
--url https://api.gratona.com/v1/interactions/manual/{activity_id}/relationships \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/interactions/manual/{activity_id}/relationships"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/interactions/manual/{activity_id}/relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/interactions/manual/{activity_id}/relationships",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/interactions/manual/{activity_id}/relationships"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/interactions/manual/{activity_id}/relationships")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/interactions/manual/{activity_id}/relationships")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"event": {
"id": 123,
"name": "<string>",
"status": "<string>",
"starts_at": "2023-11-07T05:31:56Z"
},
"participants": [
{
"id": 123,
"name": "<string>",
"email": "<string>",
"role": "<string>",
"event_invitee_id": 123,
"invitation_action": "<string>",
"invitation_method": "<string>",
"invitation_response_outcome": "<string>"
}
],
"related_tasks": [
{
"id": 123,
"title": "<string>",
"status": "<string>",
"due_date": "2023-12-25",
"version": 123
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}